---
title: Overview
order: 0
group:
  path: /quick-start
  title: Quick start
  order: 0
nav:
  title: Manual
  path: /graphin
  order: 1
---

## Feature Overview

<code src='./index.tsx'>

## Components

| Components      | Classification                    | Name                    | Description                                                                                     | Progress / Schedule                      |
| --------------- | --------------------------------- | ----------------------- | ----------------------------------------------------------------------------------------------- | ---------------------------------------- |
| Graphin         | Core Components                   | @antv/graphin           | Responsible for data-driven entire canvas: configuration, layout, rendering, interaction        | <Badge type='success'>done</Badge>       |
| ContextMenu     | Interactive components            | Right-click menu        | Help users perform node or edge operations: marking, spreading, and discovering                 | <Badge type='success'>done</Badge>       |
| Tooltip         | Interactive components            | Tooltip                 | Help users quickly browse the information of nodes or edges                                     | <Badge type='success'>done</Badge>       |
| MiniMap         | Interactive components            | Mini map                | Help users to navigate globally                                                                 | <Badge type='success'>done</Badge>       |
| Toolbar         | Interactive components            | Toolbar                 | Help users perform canvas operations: zoom out, zoom in, full screen                            | <Badge type='success'>done</Badge>       |
| RedoUndo        | Interactive components            | Undo rollback           | Help users to navigate globally                                                                 | <Badge type='info'>version 2.1.0</Badge> |
| FishEye         | Interactive components            | Fisheye magnifier       | Help users to view details                                                                      | <Badge type='success'>done</Badge>       |
| CreateEdge      | Interactive Components            | Edge-Building Component | Helping users to build relationships                                                            | <Badge type='info'>version 2.2.0</Badge> |
| Legend          | Labeling components               | Legend                  | Help users to label the types of nodes and edges: color, size, attributes                       | <Badge type='success'>done</Badge>       |
| Hull            | Labeling components               | Outline                 | Help users to classify nodes                                                                    | <Badge type='success'>done</Badge>       |
| Statistic       | Labeling component                | Statistics panel        | Help users to monitor the status of the canvas                                                  | <Badge type='info'>version 2.1.0</Badge> |
| SnapshotGallery | Analysis of supporting components | Snapshot gallery        | Provide snapshot saving and recurring function to help users uninterrupted analysis process     | <Badge type='info'>version 2.3.0</Badge> |
| LayoutSelector  | Analysis of supporting components | Layout switcher         | Help users switch layouts and adjust parameters independently to achieve the best layout effect | <Badge type='info'>version 2.1.0</Badge> |
| Sheetbar        | Analysis supporting components    | Multi-canvas component  | Help users to analyze and manage multiple canvases                                              | <Badge type='info'>version 2.4.0</Badge> |
| TableMode       | Analysis Supporting Components    | Table Mode              | Help to view relational source data through tables                                              | <Badge type='info'>version 2.5.0</Badge> |
| FindPathPanel   | Algorithm analysis component      | Find path               | Help users calculate the shortest path and possible path list between two nodes                 | <Badge type='info'>version 2.5.0</Badge> |
| MapMode         | Advanced Analysis Components      | Map Mode                | Help users analyze geographic relational data                                                   | <Badge type='info'>version 2.6.0</Badge> |
| Timebar         | Advanced Analysis Components      | Timeline                | Help users analyze time series relational data                                                  | <Badge type='info'>version 2.7.0</Badge> |
